Bug 1275167 - Missing dependencies in new jBPM project
Missing dependencies in new jBPM project
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Robert (Bob) Brodt
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 04:04 EDT by Jozef Marko
Modified: 2016-05-04 12:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-1149 Major Closed Missing dependencies in new jBPM project 2016-05-11 09:43 EDT

  None (edit)
Description Jozef Marko 2015-10-26 04:04:14 EDT
Description of problem:
New jBPM (Maven) project can't be compiled. There are missing dependencies in pom.xml

Version-Release number of selected component (if applicable):
jbds-8.1.0.GA_jbdsis-8.0.4.CR2

but also in latest
BPMN2 Modeler 1.1.4.201510212019 for luna


Steps to Reproduce:
1. Create new project as (File -> New -> Other -> jBPM -> jBPM project (Maven)
2. Open pom.xml of given project
3. There are completely missing dependencies

Actual results:
Missing dependencies tag in pom.xml, project can't be compiled

Expected results:
Not missing dependencies tag in pom.xml, project can be compiled
Comment 1 Kris Verlaenen 2015-10-27 12:49:38 EDT
Eclipse Maven integration should download the missing jars automatically (although that might take a while), is it possible it's just waiting on that still?
Comment 2 Jozef Marko 2015-11-02 02:19:31 EST
Kris, I don't think so. There is completely missing tag:
<dependencies>
  <dependnecy>
    ... any dependnecy ...
  </dependnecy>
</dependencies>

in pom.xml
Comment 3 JBoss JIRA Server 2016-05-04 12:47:09 EDT
Andrej Podhradsky <apodhrad@redhat.com> updated the status of jira DROOLS-1149 to Closed
Comment 4 Andrej Podhradsky 2016-05-04 12:48:06 EDT
Verified with JBDS 9.1.0.GA + JBDS-IS 9.0.0.GA (contains Drools 6.4.1.Final-v20160503-1355-B205)

Note You need to log in before you can comment on or make changes to this bug.